[Rainmeter]
Author=viken

[Variables]
fontcolor=253,140,228,255
graphline=253,140,228,255
graph.line1=253,140,228,200
graph.line2=253,140,228,255

FontFace=Neuropol
FontFace2=Calibri
FontHeight=10
AntiAlias=1



;### de: Festplattenbuchstaben und einen beliebigen Anzeigenamen angeben
;### en: Specify drive letter and optional display name

drive="c:"
drive.name="Системный (C:)"




;############## CODE ##############################################

[C_DriveAccess]
Measure=Plugin
Plugin=Plugins\PerfMon.dll
PerfMonObject=LogicalDisk
PerfMonCounter="Disk Bytes/sec"
PerfMonInstance=#drive#

[C_DriveFree]
Measure=FreeDiskSpace
Drive=#drive#

[C_DriveUsed]
Measure=FreeDiskSpace
Drive=#drive#
InvertMeasure=1

[C_DriveSize]
Measure=FreeDiskSpace
Drive=#drive#
Total=1


[C_HDDimage]
Meter=IMAGE
X=10
Y=18r
ImageName=hdd.png
LeftMouseDownAction=!Execute ["C:\"]


[C_label]
Meter=string
X=100r
Y=50r
FontColor=#FontColor#
FontSize=#FontHeight#
StringAlign=LEFT
FontFace=#FontFace#
Text=#drive.name#
StringStyle=BOLD
AntiAlias=1


[C_totalText]
MeasureName=C_DriveSize
Meter=STRING
X=0r
Y=15r
FontColor=#FontColor#
FontSize=#FontHeight#
StringAlign=LEFT
FontFace=#FontFace2#
Text="Всего   %1B"
AntiAlias=1
AutoScale=1


[C_freeText]
MeasureName=C_DriveFree
Meter=STRING
X=100r
Y=0r
FontColor=#FontColor#
FontSize=#FontHeight#
StringAlign=LEFT
FontFace=#FontFace2#
Text="Свободно  %1B"
Percentual=0
AntiAlias=1
AutoScale=1

[C_DriveAccess1]
Meter=Line
MeasureName=C_DriveAccess
X=50
Y=90
H=40
W=270
LineCount=1
LineColor=#graph.line1#
AutoScale=1
AntiAlias=1

[C_DriveAccess2]
Meter=HISTOGRAM
MeasureName=C_DriveAccess
X=0r
Y=0r
H=40
W=270
PrimaryColor=#graph.line2#
AutoScale=1
AntiAlias=1
